services:
    app:
        image: sylius/standard:1.11-traditional-alpine
        environment:
            APP_ENV: "dev"
            DATABASE_URL: "mysql://root:mysql@mysql/sylius_%kernel.environment%?charset=utf8mb4"
#            DATABASE_URL: "pgsql://root:postgres@postgres/sylius_%kernel.environment%?charset=utf8" # When using postgres
            PHP_DATE_TIMEZONE: "Europe/Warsaw"
        volumes:
            - ./:/app:delegated
            - ./.docker/php/php.ini:/etc/php8/php.ini:delegated
            - ./.docker/nginx/nginx.conf:/etc/nginx/nginx.conf:delegated
        ports:
            - 80:80
        depends_on:
            - mysql
        networks:
            - sylius

    mysql:
        image: mysql:8.0
        platform: linux/amd64
        environment:
            MYSQL_ROOT_PASSWORD: mysql
        ports:
            - ${MYSQL_PORT:-3306}:3306
        networks:
            - sylius
    
#    postgres:
#        image: postgres:14-alpine
#        environment:
#            POSTGRES_USER: root
#            POSTGRES_PASSWORD: postgres
#        ports:
#            - ${POSTGRES_PORT:-5432}:5432
#        networks:
#            - sylius

networks:
    sylius:
        driver: bridge
